Summary: A multiplayer block-based game.
Name: u61
Version: 1.0.1
Release: 1
Copyright: GPL
Group: Amusements/Games
Source: http://freesoftware.fsf.org/download/u61/u61-1.0.1.tar.gz
URL: http://www.ufoot.org/u61
Vendor: Christian Mauduit <ufoot@ufoot.org>
Packager: Christian Mauduit <ufoot@ufoot.org>
BuildRoot: %{_tmppath}/%{name}-buildroot

%description
U61 is another block-based game. At first sight, one might think
it's yet another Tetris clone. But it's much more than that since
its rules are fully configurable: you can edit them and create
your own gameplay. U61 is designed to be a multiplayer game, and
supports internet play. A u61-data package is also available,
which contains more scripts, themes and documentation.

# Preparation of the package
%prep
%setup
./configure --prefix=%{_prefix} --target=%{_target}

# Building the package
%build
make 

# Installing the package
# The "make uninstall" is important since it prevents rpm from
# putting old unused files in the archive.
%install
export DESTDIR=%{buildroot} && make uninstall && make install 

# Cleaning
%clean
rm -rf %{buildroot}

# Pre-install script
%pre

# Post-install script
# It basically adds the info page to the Top info page.
%post
if which install-info; then if test -d %{_prefix}/info; then if test -f %{_prefix}/info/dir; then install-info --info-dir=%{_prefix}/info %{_prefix}/share/info/u61.info.gz; fi; fi; fi

# Pre-uninstall script
%preun

# Post-uninstall script
# It basically removes the info page to the Top info page.
%postun
if which install-info; then if test -d %{_prefix}/info; then if test -f %{_prefix}/info/dir; then install-info --info-dir=%{_prefix}/info --remove u61; fi; fi; fi

%files
%defattr(-,root,root)
%{_prefix}/games/u61
%{_prefix}/bin/u61
%{_prefix}/share/games/u61/
%{_prefix}/share/doc/u61/
%{_prefix}/share/man/man6/u61.6*
%{_prefix}/share/info/u61.info*
%{_prefix}/share/pixmaps/u61.xpm

%changelog

* Thu Jul 25 2002 Christian Mauduit <ufoot@ufoot.org> 
- Added support for info documentation
- Added support for the --target RPM option

* Thu Jan 24 2002 Christian Mauduit <ufoot@ufoot.org> 
- First rpm build of U61


